org.eclipse.mat.dtfj

## Class PreferenceConstants

- java.lang.Object
- - org.eclipse.mat.dtfj.PreferenceConstants

    public class PreferenceConstants
    extends Object

Constant definitions for plug-in preferences

### Field Summary

Fields
`static String` `ALL_METHODS_AS_CLASSES`
`static String` `FRAMES_ONLY`
`static String` `NO_METHODS_AS_CLASSES`
`static String` `P_METHODS` Whether to treat stack frames as psuedo-objects and methods as pseudo-classes
`static String` `RUNNING_METHODS_AS_CLASSES`

### Constructor Summary

Constructors
Constructor and Description
`PreferenceConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### P_METHODS

    public static final String P_METHODS

Whether to treat stack frames as psuedo-objects and methods as pseudo-classes

See Also:
  Constant Field Values

#### NO_METHODS_AS_CLASSES

    public static final String NO_METHODS_AS_CLASSES

See Also:
  Constant Field Values

#### RUNNING_METHODS_AS_CLASSES

    public static final String RUNNING_METHODS_AS_CLASSES

See Also:
  Constant Field Values

#### ALL_METHODS_AS_CLASSES

    public static final String ALL_METHODS_AS_CLASSES

See Also:
  Constant Field Values

#### FRAMES_ONLY

    public static final String FRAMES_ONLY

See Also:
  Constant Field Values

### Constructor Detail

#### PreferenceConstants

    public PreferenceConstants()